Send an interactive message to an active conversation

  • Status code 200 means the message was accepted by WATI, not delivered yet.
  • To know if a message is failed, listen to the Session Message Failed webhook.
  • To know if a message is sent successfully, listen to Delivered/Read/Reply webhooks.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

BSUID Support: The conversation target parameter now supports additional identifier formats:

FormatExampleDescription
Conversation ID685bd235e6119686e693a093Direct conversation lookup (existing)
Phone Number14155552671Most recent open conversation for phone (existing)
Contact ID507f1f77bcf86cd799439011Most recent open conversation for contact (new)
BSUIDUS.123124141512Most recent open conversation for BSUID (new)
Channel:PhoneMyChannel:14155552671Channel-scoped conversation (existing)
Channel:ContactIdMyChannel:507f...Channel-scoped by contact ID (new)
Channel:BSUIDMyChannel:US.123124141512Channel-scoped by BSUID (new)

Note: Returns 409 Conflict if multiple open conversations exist for the contact without a channel specified.

Body Params

Represents an interactive message.

string
required

The target recipient in the following formats:

  • ConversationId: The unique ID of a conversation.
  • PhoneNumber: The recipient's phone number (e.g., 14155552671).
  • Channel:PhoneNumber: A combination of the channel (name or phone number) and the recipient's phone number (e.g., MyChannel:1415552671, 123456789:1415552671).
  • BSUID: The recipient's Business-Scoped User ID (e.g., ML.2011135123094924).
  • Channel:BSUID: A combination of the channel (name or phone number) and the recipient's BSUID (e.g., MyChannel:ML.2011135123094924, 123456789:ML.2011135123094924).
string
required

Message type: "buttons", "list", "product", or "productList".

button_message
object

Represents a message with buttons in a conversation.

list_message
object

Represents a list type message in a conversation.

product_message
object

Represents a single product message sent via WhatsApp catalog.

product_list_message
object

Represents a multi-product list message sent via WhatsApp catalog.
Max 30 products across up to 10 sections.

Headers
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

401

The request is unauthorized.

429

Too many requests. Either the rate limit has been exceeded or usage limits have been reached.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json